<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui"
	template="/WEB-INF/templates/menu_template.xhtml">

	<ui:define name="tituloPagina">#{msgUsuarios.tituloEditar}</ui:define>

	<ui:define name="cuerpoPagina">
		<h:form id="form">
			<p:breadCrumb>
				<p:menuitem value="#{msgUsuarios.bcInicio}"
					url="${request.contextPath}/" />
				<p:menuitem value="#{msgUsuarios.bcUsuario}" url="#" />
				<p:menuitem value="#{msgUsuarios.bcUsuarioAdmin}"
					url="${request.contextPath}/usuarios/administrar.faces" />
				<p:menuitem value="#{msgUsuarios.bcUsuarioEditar}"
					url="${request.contextPath}/usuarios/editar.faces" />
			</p:breadCrumb>

			<p:growl id="messages" showDetail="true" showSummary="true"
				for="msgGrowl" escape="false" />
			<div class="card"> <p:tabView>
				<p:tab title="#{msgUsuarios.tabInfoBasica}">
					<p:panelGrid id="panelInfoBasica" style="width: 80%;">
						<p:row>
							<p:column style="width: 20%;">
								<h:outputLabel for="nombres" value="#{msgUsuarios.nombres}" />
							</p:column>

							<p:column style="width: 80%;'">
								<p:inputText id="nombres"
									value="#{beanUsuario.objUsuario.nombres}" required="true"
									style="width: 50%; line-height: 20px;"
									requiredMessage="#{msgUsuarios.nombresRequerido}" />
								<p:message for="nombres" style="width: 40%;" />
							</p:column>
						</p:row>

						<p:row>
							<p:column style="width: 20%;">
								<h:outputLabel for="primerApellido"
									value="#{msgUsuarios.primerApellido}" />
							</p:column>

							<p:column style="width: 80%;'">
								<p:inputText id="primerApellido"
									value="#{beanUsuario.objUsuario.primerApellido}"
									required="true" style="width: 50%; line-height: 20px;"
									requiredMessage="#{msgUsuarios.primerApellidoRequerido}" />
								<p:message for="primerApellido" style="width: 40%;" />
							</p:column>
						</p:row>

						<p:row>
							<p:column style="width: 20%;">
								<h:outputLabel for="segundoApellido"
									value="#{msgUsuarios.segundoApellido}" />
							</p:column>

							<p:column style="width: 80%;'">
								<p:inputText id="segundoApellido"
									value="#{beanUsuario.objUsuario.segundoApellido}"
									required="true" style="width: 50%; line-height: 20px;"
									requiredMessage="#{msgUsuarios.segundoApellidoRequerido}" />
								<p:message for="segundoApellido" style="width: 40%;" />
							</p:column>
						</p:row>

						<p:row>
							<p:column style="width: 20%;">
								<h:outputLabel for="correo" value="#{msgUsuarios.correo}" />
							</p:column>

							<p:column style="width: 80%;'">
								<p:inputText id="correo"
									value="#{beanUsuario.objUsuario.correo}" required="true"
									style="width: 50%; line-height: 20px;"
									requiredMessage="#{msgUsuarios.correoRequerido}" />
								<p:message for="correo" style="width: 40%;" />
							</p:column>
						</p:row>

					</p:panelGrid>
				</p:tab>


				<p:tab title="#{msgUsuarios.tabInfoContacto}">
					<p:panelGrid id="panelInfoContacto" style="width: 80%;">
						<p:row>
							<p:column style="width: 20%;">
								<h:outputLabel for="direccion" value="#{msgUsuarios.direccion}" />
							</p:column>

							<p:column style="width: 80%;'">
								<p:inputText id="direccion"
									value="#{beanUsuario.objUsuario.direccion}" required="true"
									style="width: 50%; line-height: 20px;"
									requiredMessage="#{msgUsuarios.direccionRequerido}" />
								<p:message for="direccion" style="width: 40%;" />
							</p:column>
						</p:row>

						<p:row>
							<p:column style="width: 20%;">
								<h:outputLabel for="tipoDocumento"
									value="#{msgUsuarios.tipoDocumento}" />
							</p:column>

							<p:column style="width: 80%;'">

								<p:selectOneMenu id="tipoDocumento"
									value="#{beanUsuario.objUsuario.tipoDocumento}" required="true"
									style="width: 50%; line-height: 20px;"
									requiredMessage="#{msgUsuarios.tipoDocumentoRequerido}">

									<f:selectItem itemLabel="#{msgUsuarios.comboTDocSeleccionar}"
										itemValue="" />
									<f:selectItem itemLabel="#{msgUsuarios.comboTDocCC}"
										itemValue="CC" />
									<f:selectItem itemLabel="#{msgUsuarios.comboTDocNIT}"
										itemValue="NIT" />
									<f:selectItem itemLabel="#{msgUsuarios.comboTDocTI}"
										itemValue="TI" />
									<f:selectItem itemLabel="#{msgUsuarios.comboTDocRC}"
										itemValue="RC" />
									<f:selectItem itemLabel="#{msgUsuarios.comboTDocCE}"
										itemValue="CE" />
									<f:selectItem itemLabel="#{msgUsuarios.comboTDocPA}"
										itemValue="PA" />
									<f:selectItem itemLabel="#{msgUsuarios.comboTDocMS}"
										itemValue="MS" />
									<f:selectItem itemLabel="#{msgUsuarios.comboTDocAS}"
										itemValue="AS" />
									<f:selectItem itemLabel="#{msgUsuarios.comboTDocOtr}"
										itemValue="OTR" />

								</p:selectOneMenu>
								<p:message for="tipoDocumento" style="width: 40%;" />
							</p:column>
						</p:row>

						<p:row>
							<p:column style="width: 20%;">
								<h:outputLabel for="documento" value="#{msgUsuarios.documento}" />
							</p:column>

							<p:column style="width: 80%;'">
								<p:inputText id="documento"
									value="#{beanUsuario.objUsuario.documento}" required="true"
									style="width: 50%; line-height: 20px;"
									requiredMessage="#{msgUsuarios.documentoRequerido}" />
								<p:message for="documento" style="width: 40%;" />
							</p:column>
						</p:row>

						<p:row>
							<p:column style="width: 20%;">
								<h:outputLabel for="fechaNacimiento"
									value="#{msgUsuarios.fechaNacimiento}" />
							</p:column>

							<p:column style="width: 80%;'">
								<p:calendar id="fechaNacimiento"
									value="#{beanUsuario.objUsuario.fechaNacimiento}" locale="es"
									navigator="true" yearRange="1950:2019" showOn="button"
									required="true" readonlyInput="true"
									style="width: 50%; line-height: 20px;"
									requiredMessage="#{msgUsuarios.fechaNacimientoRequerido}" />
								<p:message for="fechaNacimiento" style="width: 40%;" />
							</p:column>
						</p:row>

						<p:row>
							<p:column style="width: 20%;">
								<h:outputLabel for="genero" value="#{msgUsuarios.genero}" />
							</p:column>

							<p:column style="width: 80%;'">

								<p:selectOneMenu id="genero"
									value="#{beanUsuario.objUsuario.genero}" required="true"
									style="width: 50%; line-height: 20px;"
									requiredMessage="#{msgUsuarios.generoRequerido}">

									<f:selectItem itemLabel="#{msgUsuarios.comboGeneroSeleccionar}"
										itemValue="" />
									<f:selectItem itemLabel="#{msgUsuarios.comboGeneroMasculino}"
										itemValue="1" />
									<f:selectItem itemLabel="#{msgUsuarios.comboGeneroFemenico}"
										itemValue="2" />
									<f:selectItem itemLabel="#{msgUsuarios.comboGeneroOtro}"
										itemValue="3" />


								</p:selectOneMenu>
								<p:message for="genero" style="width: 40%;" />
							</p:column>
						</p:row>

						<p:row>
							<p:column style="width: 20%;">
								<h:outputLabel for="telefono" value="#{msgUsuarios.telefono}" />
							</p:column>

							<p:column style="width: 80%;'">
								<p:inputText id="telefono"
									value="#{beanUsuario.objUsuario.telefono}" required="true"
									style="width: 50%; line-height: 20px;"
									requiredMessage="#{msgUsuarios.telefonoRequerido}" />
								<p:message for="telefono" style="width: 40%;" />
							</p:column>
						</p:row>

						<p:row>
							<p:column style="width: 20%;">
								<h:outputLabel for="whastapp" value="#{msgUsuarios.whastapp}" />
							</p:column>

							<p:column style="width: 80%;'">
								<p:inputText id="whastapp"
									value="#{beanUsuario.objUsuario.whastapp}" required="true"
									style="width: 50%; line-height: 20px;"
									requiredMessage="#{msgUsuarios.whastappRequerido}" />
								<p:message for="whastapp" style="width: 40%;" />
							</p:column>
						</p:row>

						<p:row>
							<p:column style="width: 20%;">
								<h:outputLabel for="listaPrecios" value="Lista precios" />
							</p:column>

							<p:column style="width: 80%;'">
								<p:selectOneMenu id="listaPrecio"
									value="#{beanUsuario.objUsuario.listaPrecio.idListaPrecio}"
									style="width: 50%; line-height: 20px;" required="true"
									requiredMessage="#{msgProductos.listaPrecioRequerido}">
									<f:selectItem
										itemLabel="#{msgProductos.selectListaPrecioEmpty}"
										itemValue="#{null}" />
									<f:selectItems
										value="#{beanListaPrecio.getListaPrecios()}"
										var="listaPrecio" itemLabel="#{listaPrecio.nombreListaPrecio}"
										itemValue="#{listaPrecio.idListaPrecio}" />
								</p:selectOneMenu>
								<p:message for="listaPrecio" style="width: 40%;" />
							</p:column>
						</p:row>

						<f:facet name="footer">

							<p:row>
								<p:column style="width: 20%;">
								</p:column>

								<p:column style="width: 80%;">
									<p:commandButton value="#{msgUsuarios.btnActualizar}"
										ajax="false" update="panel messages"
										action="#{beanUsuario.btnActualizar()}" />
								</p:column>
							</p:row>

						</f:facet>

					</p:panelGrid>
				</p:tab>
			</p:tabView> </div>

		</h:form>

	</ui:define>

</ui:composition>

